/*!
 * Built with Stencil
 * By PostNord.
 */
import { h, Host } from "@stencil/core";
/** Display a spinner to indicate a loading state. */
export class PnSpinner {
    hostElement;
    /** Light version of the spinner. */
    light = false;
    /** Size in em. */
    size = 1.5;
    getColor() {
        if (this.light)
            return '#fff';
        return '#005d92';
    }
    getSize() {
        return `${this.size}em`;
    }
    render() {
        return (h(Host, { key: 'a9ecba01b5b30a660a44439c714b7ad57cf02a88' }, h("svg", { key: '03fbe990bf1ae0402fcb27707e0c1712d8a84492', class: "pn-spinner", style: { '--pn-spinner-size': this.getSize(), '--pn-spinner-color': this.getColor() }, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24", fill: "none" }, h("circle", { key: 'c48784865cd9c8c3d55cd9b1bd3e0dff7a4ebe35', class: "pn-spinner-circle", cx: "12", cy: "12", r: "10", "stroke-width": "3" }), h("circle", { key: '5f69d1bbbf864842f9ae54dc9a29b61603a83bff', class: "pn-spinner-dot", cx: "21.3", cy: "16", r: "1.48" }))));
    }
    static get is() { return "pn-spinner"; }
    static get originalStyleUrls() {
        return {
            "$": ["pn-spinner.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["pn-spinner.css"]
        };
    }
    static get properties() {
        return {
            "light": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Light version of the spinner."
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "light",
                "defaultValue": "false"
            },
            "size": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Size in em."
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "size",
                "defaultValue": "1.5"
            }
        };
    }
    static get elementRef() { return "hostElement"; }
}
